# CST339 - Activity 1

- Date:  2024 December 19
- Author:  Robert Estey

## Introduction

- This activity will be installing the [Spring Tool Suite (STS)](https://spring.io/tools) on a local computing environment, creating a Spring Boot project and execute a simple **Hello World** application
- The [Maven (MVN)](https://gitlab.com/bobby.estey/wikibob/-/blob/master/docs/maven/README.md?ref_type=heads) tool is an open-source build automation and project management tool that will be used for building projects in this course
- The Project Object Model (POM) an eXtensible Markup Language (XML) file is utilized for project configurations

## Screenshots

- This is a screenshot of the Spring Tool Suite About Box

![Spring Tool Suite About Box](springToolSuiteAboutBox.png)

- This is a screenshot of the Console Output

![Console Output](consoleOutput.png)

- This is a screenshot of the Whitelabel Error Page

![Whitelable Error Page](whitelabelErrorPage.png)

- This is a screenshot of the Hello World **index.html** page

![Hello World - Index Page](helloworld.png)

- This is a screenshot of the Maven Build configurations

![Maven Build](mavenBuild.png)

- This is a screenshot of the Maven Console, with a **BUILD SUCCESS**

![Maven Console](mavenConsole.png)

- This is a screenshot of the Java ARchive (JAR) file Execution

![JAR Execution](jarExecution.png)

## Research Questions - located in Activity Guide

- Post the Questions and Answers

## Conclusion

- Place a Conclusion here
